### Function

# Ide TreeTraverseFunc

#### Declaration

    IdeTreeNodeVisit
    (* IdeTreeTraverseFunc) (
      IdeTreeNode* node,
      gpointer user_data
    )

#### Description

This function prototype is used to traverse a tree of `IdeTreeNode`.

Available since: | 3.32

#### Parameters

`node` | `IdeTreeNode`
| An `IdeTreeNode`.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| Closure data provided to `ide_tree_node_traverse()`
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeTreeNodeVisit`
| `IdeTreeNodeVisit`, `IDE_TREE_NODE_VISIT_BREAK` to stop traversal.